List Transactions
curl --request GET \
--url https://api.agentwallex.com/api/v1/transactions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agentwallex.com/api/v1/transactions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agentwallex.com/api/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"hash": "<string>",
"agent_id": "<string>",
"direction": "outbound",
"type": "transfer",
"from_address": "<string>",
"to_address": "<string>",
"amount": "<string>",
"token": "<string>",
"chain": "<string>",
"fee": "<string>",
"memo": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"has_more": true
}{
"code": "invalid_request",
"type": "invalid_request_error",
"message": "The request body is missing required fields."
}{
"code": "authentication_failed",
"type": "authentication_error",
"message": "The provided API key is invalid or expired."
}{
"code": "insufficient_permissions",
"type": "authorization_error",
"message": "You do not have permission to perform this action."
}{
"code": "rate_limit_exceeded",
"type": "rate_limit_error",
"message": "Too many requests. Please retry after a short delay."
}{
"code": "server_error",
"type": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Giao dịch
Liệt kê Giao dịch
Lấy danh sách phân trang các giao dịch với bộ lọc tùy chọn.
GET
/
api
/
v1
/
transactions
List Transactions
Liệt kê giao dịch trên toàn tài khoản hoặc lọc theo tác nhân và trạng thái.
Tham số Truy vấn
integer
mặc định:"1"
Số trang (bắt đầu từ 1).
integer
mặc định:"20"
Số mục trên mỗi trang. Tối đa: 100.
string
Lọc theo ID tác nhân.
string
Lọc theo trạng thái giao dịch. Giá trị:
pending, confirmed, failed.Phản hồi
Hiện Các trường phản hồi
Hiện Các trường phản hồi
Ví dụ
curl -X GET "https://api.agentwallex.com/api/v1/transactions?agent_id=agent_abc123&status=confirmed&page_size=50" \
-H "X-API-Key: awx_your_api_key"
const { transactions } = await aw.payments.list({
agentId: "agent_abc123",
limit: 50,
status: "confirmed",
});
result = await aw.payments.list(
agent_id="agent_abc123",
limit=50,
status="confirmed",
)
Response
{
"data": [
{
"id": "tx_xyz789",
"hash": "0xabc123def456...",
"agent_id": "agent_abc123",
"direction": "outbound",
"to_address": "0xabcd...ef12",
"amount": "10.5",
"token": "USDC",
"chain": "eip155:84532",
"status": "confirmed",
"created_at": "2025-06-15T14:30:00Z"
}
],
"total": 25,
"has_more": true
}
Ủy quyền
ApiKeyAuthBearerAuth
API key authentication. Keys are prefixed with awx_.
Tham số truy vấn
Page number (1-indexed).
Phạm vi bắt buộc:
x >= 1Number of items per page.
Phạm vi bắt buộc:
1 <= x <= 100Filter by agent ID.
Filter by transaction status.
Tùy chọn có sẵn:
pending, confirmed, failed ⌘I